Subject: Re: [bug#41648] [PATCH 0/2] JamVM: Add aarch64-linux support

From: Efraim Flashner <[email-masked]>
Date: Tue, 2 Jun 2020 12:41:29 +0300

On Mon, Jun 01, 2020 at 01:12:11PM -0400, Simon South wrote:
> 
> Note I have found it unnecessary to use older versions of gcc and glibc when
> building JamVM 1.5.1 on AArch64; the CPU's instruction cache is flushed
> explicitly on this platform so it shouldn't be possible for the "invalid
> instruction" situation mentioned in a comment to develop, and I haven't seen
> it myself.
> 

Can you test running bootstrap on jamvm-1-bootstrap (and jamvm@2) and
see if that negates the need for an older version of glibc and gcc on
other platforms? (basically just x86_64 for now, unless it now works on
other architectures)

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted